Pistis
API referenceFollowing

Read the conversation

GET
/sessions/{id}/transcript

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Query Parameters

after?integer

Only entries after this seq

Range0 <= value

Response Body

Entries in order

application/json
  1. response
entries*array<||||||||||||>
Example Request
curl -X GET 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/transcript?after=0'
Example Response
{  "entries": [    {      "seq": 0,      "at": 0,      "kind": "user",      "text": "string",      "mode": "agent",      "by": {        "principal": "string",        "name": "string"      },      "attachments": [        {          "attachmentId": "string",          "name": "string",          "size": 0,          "type": "string"        }      ]    }  ]}